Vector BLF

Loading...
Searching...
No Matches
Vector::BLF::ObjectHeader Struct Reference

Object header. More...

`#include <ObjectHeader.h>`

Inheritance diagram for Vector::BLF::ObjectHeader:

## Public Types
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Public Member Functions
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default

## Public Attributes
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Detailed Description

Object header.

Object header. Version 1.

## Member Enumeration Documentation

## ◆ ObjectFlags

enum Vector::BLF::ObjectHeader::ObjectFlags : uint32_t

enumeration for objectFlags

Enumerator
TimeTenMics | 10 micro second timestamp Object time stamp is saved as multiple of ten microseconds. (BL_OBJ_FLAG_TIME_TEN_MICS)
TimeOneNans | 1 nano second timestamp Object time stamp is saved in nanoseconds. (BL_OBJ_FLAG_TIME_ONE_NANS)

## Member Function Documentation

## ◆ calculateHeaderSize()

uint16_t Vector::BLF::ObjectHeader::calculateHeaderSize | ( |  | ) | const
| override virtual

Calculates the headerSize

Returns
  header size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ calculateObjectSize()

uint32_t Vector::BLF::ObjectHeader::calculateObjectSize | ( |  | ) | const
| override virtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

Reimplemented in Vector::BLF::RealtimeClock, Vector::BLF::RestorePointContainer, Vector::BLF::SerialEvent, Vector::BLF::SystemVariable, Vector::BLF::TestStructure, Vector::BLF::TriggerCondition, Vector::BLF::WaterMarkEvent, Vector::BLF::WlanFrame, and Vector::BLF::WlanStatistic.

## ◆ read()

void Vector::BLF::ObjectHeader::read | ( | AbstractFile & | is | ) |
| override virtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Reimplemented in Vector::BLF::RealtimeClock, Vector::BLF::RestorePointContainer, Vector::BLF::SerialEvent, Vector::BLF::SystemVariable, Vector::BLF::TestStructure, Vector::BLF::TriggerCondition, Vector::BLF::WaterMarkEvent, Vector::BLF::WlanFrame, and Vector::BLF::WlanStatistic.

## ◆ write()

void Vector::BLF::ObjectHeader::write | ( | AbstractFile & | os | ) |
| override virtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Reimplemented in Vector::BLF::RealtimeClock, Vector::BLF::RestorePointContainer, Vector::BLF::SerialEvent, Vector::BLF::SystemVariable, Vector::BLF::TestStructure, Vector::BLF::TriggerCondition, Vector::BLF::WaterMarkEvent, Vector::BLF::WlanFrame, and Vector::BLF::WlanStatistic.

## Member Data Documentation

## ◆ objectFlags

uint32_t Vector::BLF::ObjectHeader::objectFlags {ObjectFlags::TimeOneNans}

object flags

Unit of object timestamp.

## ◆ objectTimeStamp

uint64_t Vector::BLF::ObjectHeader::objectTimeStamp {}

object timestamp

Time stamp of this object in the unit specified in objectFlags.

## ◆ objectVersion

uint16_t Vector::BLF::ObjectHeader::objectVersion {0}

object specific version

Object specific version, has to be set to 0 unless stated otherwise in the description of a specific event.

Note
  can be set in event class constructor

The documentation for this struct was generated from the following files:

- ObjectHeader.h
- ObjectHeader.cpp